const Layout = () => import("@/layout/index.vue");

export default {
  path: "/analysis",
  name: "analysis",
  component: Layout,
  meta: {
    title: "数据分析处理",
    icon: "Monitor",
  },
  redirect: "/analysis/task",
  children: [
    {
      path: "task",
      component: () => import("@/views/analysis/spc/index.vue"),
      name: "SPCTask",
      meta: {
        title: "SPC任务管理",
        icon: "Guide",
      },
    },
    {
      path: "task",
      name: "target",
      meta: {
        title: "过程能力指标",
        icon: "Guide",
      },
      children: [
        {
          path: "task",
          component: () => import("@/views/analysis/target/aaaa/index.vue"),
          name: "aaaaa",
          meta: {
            title: "aaaaa",
            icon: "Guide",
          },
        },
        {
          path: "task",
          component: () => import("@/views/analysis/target/aaaa/index.vue"),
          name: "aaaaa",
          meta: {
            title: "aaaaa",
            icon: "Guide",
          },
        },
      ],
    },
  ],
};
